Search documentation of ExStreamClient

# ExStreamClient.Model.MessageChangeSet (ExStreamClient v0.1.10)

View Source

Schema representing a MessageChangeSet

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.MessageChangeSet{
      attachments: boolean(),
      custom: boolean(),
      html: boolean(),
      mentioned_user_ids: boolean(),
      mml: boolean(),
      pin: boolean(),
      quoted_message_id: boolean(),
      silent: boolean(),
      text: boolean()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()